## PkDistroUpgrade

PkDistroUpgrade — DistroUpgrade object

## Functions

PkDistroUpgrade * | pk_distro_upgrade_new ()
const gchar * | pk_distro_upgrade_get_id ()
const gchar * | pk_distro_upgrade_get_summary ()
PkDistroUpgradeEnum | pk_distro_upgrade_get_state ()

## Description

This GObject represents a distro_upgrade from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_distro_upgrade_new ()

    PkDistroUpgrade *
    pk_distro_upgrade_new (void);

#### Returns

a new PkDistroUpgrade object.

Since: 0.5.4

### pk_distro_upgrade_get_id ()

    const gchar *
    pk_distro_upgrade_get_id (PkDistroUpgrade *distro_upgrade);

Gets the distribution identifier. You use this value to call UpgradeSystem.

#### Parameters

distro_upgrade | a valid PkDistroUpgrade object. |

#### Returns

the distro-id, e.g. "fedora-14"

Since: 0.6.11

### pk_distro_upgrade_get_summary ()

    const gchar *
    pk_distro_upgrade_get_summary (PkDistroUpgrade *distro_upgrade);

Gets the description of the distribution upgrade.

#### Parameters

distro_upgrade | a valid PkDistroUpgrade object. |

#### Returns

the printable name, e.g. "Fedora 14"

Since: 0.6.11

### pk_distro_upgrade_get_state ()

    PkDistroUpgradeEnum
    pk_distro_upgrade_get_state (PkDistroUpgrade *distro_upgrade);

Gets the status of the distribution upgrade.

#### Parameters

distro_upgrade | a valid PkDistroUpgrade object. |

#### Returns

the printable name, e.g. `PK_DISTRO_UPGRADE_ENUM_UNSTABLE`

Since: 0.6.11